FS_NEWALIAS(1)

NAME
fs_newalias - Creates a new alias for a cell

SYNOPSIS
fs newalias [B<-alias>] <I<alias name>>
    [B<-name>] <I<cell name>> [-help]

DESCRIPTION
The fs newalias command is used when the AFS Cache Manager is in Dynamic Root (-dynroot) mode. It creates a symbolic link in /afs from an alias to the full name of the cell. It also creates a symbolic link from the alias prepended with "." to the full name of the cell prepended with ".", the convention for access to the read/write version of the "root.cell" volume of that cell.

This command is used to supplement aliases created via the CellAlias configuration file when afsd starts.

Traditionally, these aliases would be created by the local AFS administrator by creating symbolic links in the "root.afs" volume. Such symlinks do not appear when Dynamic Root is enabled because, with Dynamic Root, the Cache Manager does not mount or look at the "root.afs" volume. This alias capability is a replacement that allows such short names to be created under client control.

CAUTIONS
Aliases created with fs newcell are only temporary and will be lost when the AFS Cache Manager is restarted or the client machine is rebooted. In order to make the alias permanent, it must be put into the CellAlias file.

There is no way to remove an alias once created without restarting the AFS Cache Manager.

OPTIONS

-alias <alias name>
    This is the short name to which the user wants to map the real cell name.

-name <cell name>
    This is the real cell name.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
This command has no output.

EXAMPLES
There are two ways to call fs newalias:

   % fs newalias openafs openafs.org
   % fs newalias -alias openafs -name openafs.org

Both of the above examples create an alias "openafs" for the cell "openafs.org". Two links will be created in /afs:

   /afs/openafs   ->  /afs/openafs.org
   /afs/.openafs  ->  /afs/.openafs.org

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
afsd(8), CellAlias(5), fs_listaliases(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.